<?php
class View {
	
	public $viewPath = "";
	public $current_user = null;
	public $controller = null;
	
	private $body = '';
	private $filename = '';
	private $data = array();
	
	public function __construct($path='', $ctl=null) {
		$this->viewPath = $path;
		$this->controller = $ctl;
	}
	
	/**
	 * Load a template and set data.
	 * @param string $viewname	The name of the view file to load, minus extension
	 * @param array	 $data		An associative array of view data
	 */
	public function load($viewname, $data = null) {
		$this->filename = $viewname;
		$this->data = $data;
	}
	
	public function route($ctl, $act, $dat='') {
		return $this->controller->route($ctl, $act, $dat);
	}
	
	public function link($res) {
		return $this->controller->link($res);
	}
	
	public function setMessage($message, $type="info") {
		if (! isset($_SESSION['messages'])) $_SESSION['messages'] = array();
		$_SESSION['messages'][] = array($message, $type);
	}
	
	protected function getMessages() {
		$ret = @$_SESSION['messages'];
		unset($_SESSION['messages']);
		return $ret;
	}
	
	/**
	 * Renders the view to the client.
	 *
	 * The header.php and footer.php view files are wrapped around the loaded
	 * view automatically.
	 */
	public function render() {
		if ($this->data) {
			extract($this->data);
		}
		if (! isset($title)) {
			$title = 'DocMan Document Manager';
		}
		$session_messages = $this->getMessages();
		include $this->viewPath.DIRECTORY_SEPARATOR.'header.php';
		include $this->viewPath.DIRECTORY_SEPARATOR.$this->filename.'.php';
		include $this->viewPath.DIRECTORY_SEPARATOR.'footer.php';
	}
	
}