<?php
include 'document_options.php';

$granted_str = 'Granted';
$denited_str = 'Denied';
$granted_img = $this->link('images/accept.png');
$denied_img = $this->link('images/cross.png');
?>
<script type="text/javascript">
$(document).ready(function () {
	$('#userPermList a.edit').click(function () {
		var username = $(this).parent().parent().children().first().html();
		var type = $(this).parent().attr('class');
		var permval = $.trim($(this).prev().attr('alt')) == '<?=$granted_str?>' ? 1 : 0;
		$('#username').val(username);
		$('#userPerm').val(type);
		$('#userStatus').val(permval);
		return false;
	});
	
	$('#groupPermList a.edit').click(function () {
		var username = $(this).parent().parent().children().first().html();
		var type = $(this).parent().attr('class');
		var permval = $.trim($(this).prev().attr('alt')) == '<?=$granted_str?>' ? 1 : 0;
		$('#group').val(username);
		$('#groupPerm').val(type);
		$('#groupStatus').val(permval);
		return false;
	});
});
</script>

<h3>Edit permissions for "<a href="<?=$this->route('document', 'view', $doc->id)?>"><?=$doc->title?></a>"</h3>

<h4>User Permissions</h4>
<table id="userPermList">
	<tr>
		<th>Username</th>
		<th>Read</th>
		<th>Edit</th>
		<th>Delete</th>
	</tr>
	<?php foreach ($user_perms as $user=>$perms): ?>
	<tr>
		<td class="username"><?=$user?></td>
		<td class="read">
			<img class="value" alt="<?=@$perms['read']?$granted_str:$denided_str?>" src="<?=@$perms['read']?$granted_img:$denied_img?>" />
			<a href="#" class="edit"><img src="<?=$this->link('images/page_edit.png')?>" title="Edit" alt="Edit" /></a>
		</td>
		<td class="edit">
			<img class="value" alt="<?=@$perms['edit']?$granted_str:$denied_str?>" src="<?=@$perms['edit']?$granted_img:$denied_img?>" />
			<a href="#" class="edit"><img src="<?=$this->link('images/page_edit.png')?>" title="Edit" alt="Edit"/ ></a>
		</td>
		<td class="delete">
			<img class="value" alt="<?=@$perms['delete']?$granted_str:$denied_str?>" src="<?=@$perms['delete']?$granted_img:$denied_img?>" />
			<a href="#" class="edit"><img src="<?=$this->link('images/page_edit.png')?>" title="Edit" alt="Edit"/ ></a>
		</td>
	</tr>
	<?php endforeach; ?>
</table>
<div id="userEdit">
	<form action="<?=$this->route('document', 'setUserPermission', $doc->id)?>" method="post" id="userPerms">
		<label for="username">Username</label>
		<input name="user" id="username" type="text" />
		<select name="perm" id="userPerm">
			<option value="read">Read</option>
			<option value="edit">Edit</option>
			<option value="delete">Delete</option>
		</select>
		<select name="status" id="userStatus">
			<option value="1">Granted</option>
			<option value="0">Denied</option>
		</select>
		<input type="submit" value="Set" />
	</form>
</div>

<h4>Group Permissions</h4>
<table id="groupPermList">
	<tr>
		<th>Group</th>
		<th>Read</th>
		<th>Edit</th>
		<th>Delete</th>
	</tr>
	<?php foreach ($group_perms as $group=>$perms): ?>
	<tr>
		<td class="group"><?=$group?></td>
		<td class="read">
			<img class="value" alt="<?=@$perms['read']?$granted_str:$denied_str?>" src="<?=@$perms['read']?$granted_img:$denied_img?>" />
			<a href="#" class="edit"><img src="<?=$this->link('images/page_edit.png')?>" title="Edit" alt="Edit" /></a>
		</td>
		<td class="edit">
			<img class="value" alt="<?=@$perms['edit']?$granted_str:$denied_str?>" src="<?=@$perms['edit']?$granted_img:$denied_img?>" />
			<a href="#" class="edit"><img src="<?=$this->link('images/page_edit.png')?>" title="Edit" alt="Edit"/ ></a>
		</td>
		<td class="delete">
			<img class="value" alt="<?=@$perms['delete']?$granted_str:$denied_str?>" src="<?=@$perms['delete']?$granted_img:$denied_img?>" />
			<a href="#" class="edit"><img src="<?=$this->link('images/page_edit.png')?>" title="Edit" alt="Edit"/ ></a>
		</td>
	</tr>
	<?php endforeach; ?>
</table>
<div id="groupEdit">
	<form action="<?=$this->route('document', 'setGroupPermission', $doc->id)?>" method="post" id="groupPerms">
		<label for="group">Group</label>
		<input name="group" id="group" type="text" />
		<select name="perm" id="groupPerm">
			<option value="read">Read</option>
			<option value="edit">Edit</option>
			<option value="delete">Delete</option>
		</select>
		<select name="status" id="userStatus">
			<option value="1">Granted</option>
			<option value="0">Denied</option>
		</select>
		<input type="submit" value="Set" />
	</form>
</div>